#!/bin/bash

export GPU_ID=4


export GLUE_DIR=/workspace/data/datasets/glue_data/glue_data
export TASK_NAME=yelp # SST-2 # CoLA  # SST-2 # MRPC

checkpoint_path=/mnt/efs/fs2/hzt/causal/Optimus/checkpoints/
output_path=/mnt/efs/fs2/hzt/causal/Optimus/outputs/


# ==================
## Training
# ==================


###  Multi-attribute - category from semi data
#
#data_dir=/mnt/efs/fs2/hzt/causal/Optimus/data/multi_yelp_tst/full_5_15_clean_semi/semi_for_category_classifier
#output_dir=${data_dir}/classifier_categ_semi_weighted_01_09_lr2e5/
#
## 2e-5
#
#CUDA_VISIBLE_DEVICES=$GPU_ID python3 ./code/examples/run_glue.py \
#    --train_category \
#    --multi_attribute \
#    --model_type gpt2 \
#    --model_name_or_path gpt2 \
#    --task_name $TASK_NAME \
#    --do_train \
#    --do_lower_case \
#    --save_steps 60 \
#    --logging_steps 60 \
#    --data_dir ${data_dir} \
#    --max_seq_length 32 \
#    --per_gpu_eval_batch_size=64   \
#    --per_gpu_train_batch_size=64   \
#    --learning_rate 2e-5 \
#    --num_train_epochs 20 \
#    --output_dir ${output_dir} \
#    --overwrite_output_dir \
#    --evaluate_during_training



###  Multi-attribute
#
#data_dir=/mnt/efs/fs2/hzt/causal/Optimus/data/multi_yelp_tst/full_5_15_clean_semi
#output_dir=${data_dir}/classifier_senti_finetune_weighted_01_09_lr2e6/
#checkpoint_dir=/mnt/efs/fs2/hzt/causal/Optimus/outputs/classifier/yelp_sentiment_bias_gpt2_5ep/checkpoint-28000
#
## 2e-5
#
#CUDA_VISIBLE_DEVICES=$GPU_ID python3 ./code/examples/run_glue.py \
#    --use_pretrained_model \
#    --checkpoint_dir ${checkpoint_dir} \
#    --multi_attribute \
#    --model_type gpt2 \
#    --model_name_or_path gpt2 \
#    --task_name $TASK_NAME \
#    --do_train \
#    --do_lower_case \
#    --save_steps 20 \
#    --logging_steps 20 \
#    --data_dir ${data_dir} \
#    --max_seq_length 32 \
#    --per_gpu_eval_batch_size=64   \
#    --per_gpu_train_batch_size=64   \
#    --learning_rate 2e-6 \
#    --num_train_epochs 20 \
#    --output_dir ${output_dir} \
#    --overwrite_output_dir \
#    --evaluate_during_training


## Normal

#data_dir=/mnt/efs/fs2/hzt/causal/Optimus/outputs/finetune_lm/bias_yelp_na50_10ep_bz16_vae/outputs-31250-279000/s2-gsfixed-newmask-t05_w05_wr01_lr1e6_gumbel_samelen_bz8_dtrm_bak/outputs-train-124000
#output_dir=${data_dir}/classifier_5ep/

#data_dir=/mnt/efs/fs2/hzt/causal/Optimus/outputs/finetune_lm/bias_yelp_na50_10ep_bz16_vae/outputs-31250-279000/s2-gsfixed-newmask-t05_w05_wr01_lr5e6_gumbel_samelen_bz8_dtrm_bak/outputs-train-40000
#output_dir=${data_dir}/classifier_5ep/

#data_dir=/mnt/efs/fs2/hzt/causal/Optimus/outputs/finetune_causal_lm/bias_lm_yelp_10ep_sent/checkpoint-48000/joint
#output_dir=${data_dir}/classifier_5ep_lmonly/

#data_dir=/mnt/efs/fs2/hzt/causal/Optimus/outputs/finetune_lm/outputs-31250/s2-beta1-gsfixed-newmask-t05_w0_wr1_lr5e5_gumbel_samelen_bz8_bak/outputs-31250-448000/s2-beta1-cont-gsfixed-newmask-t05_w05_wr01_lr1e6_gumbel_samelen_bz8_bak/outputs-110000/
#output_dir=${data_dir}/classifier_5ep/

#data_dir=/mnt/efs/fs2/hzt/causal/Optimus/data/multi_yelp_tst/classification_sentiment
#output_dir=${data_dir}/classifier_5ep/

#data_dir=/mnt/efs/fs2/hzt/causal/Optimus/data/multi_yelp_tst/full_5_15_clean/temp
#output_dir=${data_dir}/classifier_5ep/

#data_dir=/mnt/efs/fs2/hzt/causal/Optimus/data/multi_yelp_tst/full_5_15_clean/temp_lm
#output_dir=${data_dir}/classifier_5ep/

#data_dir=/mnt/efs/fs2/hzt/causal/Optimus/outputs/finetune_causal_lm/multi_bias_lm_yelp_10ep_sent/checkpoint-64000
#output_dir=${data_dir}/classifier_5ep_lmonly/

#data_dir=/mnt/efs/fs2/hzt/causal/Optimus/outputs/finetune_causal_lm/bias_lm_yelp_10ep_sent_corrected/checkpoint-48000
#output_dir=${data_dir}/classifier_5ep_lmonly_bias_lm_yelp_10ep_sent_corrected_it48000

#data_dir=/mnt/efs/fs2/hzt/causal/Optimus/outputs/finetune_lm/vae_gpt2encoder/basic-s2-beta1-gsfixed-newmask-t1_w0_wr1_lr5e5_gumbel_samelen_bz16_bak/outputs-242000/tst/tst-dtrm-beta0-semi-s134-gsfixed-newmask-t05_wc01_wzc01_wz01_w1_wr02_lr1e6_gumbel_samelen_bz8_dtrm_bak/outputs-56000
#output_dir=${data_dir}/classifier_5ep_lmonly/
#
#data_dir=/mnt/efs/fs2/hzt/causal/Optimus/outputs/finetune_lm/vae_gpt2encoder/basic-s2-beta1-gsfixed-newmask-t1_w0_wr1_lr5e5_gumbel_samelen_bz16_bak/outputs-242000/debug-semi-s2-gsfixed-newmask-t05_wc05_wzc05_wz05_w05_wr1_lr1e6_gumbel_samelen_bz8_dtrm_bak/outputs-272000/train_gan_dtrm_lr1e4_it272000_ep5_debug-semi-s2-gsfixed-newmask-t05_wc05_wzc05_wz05_w05_wr1_lr1e6_gumbel_samelen_bz8_dtrm_bak/outputs-32000
#output_dir=${data_dir}/classifier_5ep_lmonly_train_gan_dtrm_lr1e4_it272000_ep5_debug-semi-s2-gsfixed-newmask-t05_wc05_wzc05_wz05_w05_wr1_lr1e6_it32000/

#data_dir=/mnt/efs/fs2/hzt/causal/Optimus/outputs/finetune_lm/vae_gpt2encoder/basic-s2-beta1-gsfixed-newmask-t1_w0_wr1_lr5e5_gumbel_samelen_bz16_bak/outputs-242000/debug-semi-s2-gsfixed-newmask-t05_wc05_wzc05_wz05_w05_wr1_lr1e6_gumbel_samelen_bz8_dtrm_bak/outputs-226000/train_gan_dtrm_lr1e4_it226000_ep5_debug-semi-s2-gsfixed-newmask-t05_wc05_wzc05_wz05_w05_wr1_lr1e6_gumbel_samelen_bz8_dtrm_bak_it226000/outputs-16000
#output_dir=${data_dir}/classifier_5ep_lmonly_train_gan_dtrm_lr1e4_it226000_ep5_debug-semi-s2-gsfixed-newmask-t05_wc05_wzc05_wz05_w05_wr1_lr1e6_it16000/

#
#CUDA_VISIBLE_DEVICES=$GPU_ID python3 ./code/examples/run_glue.py \
#    --model_type gpt2 \
#    --model_name_or_path gpt2 \
#    --task_name $TASK_NAME \
#    --do_train \
#    --do_lower_case \
#    --save_steps 2000 \
#    --logging_steps 2000 \
#    --data_dir ${data_dir} \
#    --max_seq_length 32 \
#    --per_gpu_eval_batch_size=64   \
#    --per_gpu_train_batch_size=64   \
#    --learning_rate 2e-5 \
#    --num_train_epochs 5 \
#    --output_dir ${output_dir} \
#    --overwrite_output_dir \
#    --evaluate_during_training

    #--data_dir data/datasets/yelp_data_tst/classification/ \

    #--data_dir /mnt/efs/fs2/hzt/causal/Optimus/data/multi_yelp_tst/classification_category/unbias_large \
    #--max_seq_length 64 \


#CUDA_VISIBLE_DEVICES=$GPU_ID python3 ./code/examples/run_glue.py \
#    --model_type bert \
#    --model_name_or_path bert-base-uncased \
#    --task_name $TASK_NAME \
#    --do_train \
#    --do_lower_case \
#    --save_steps 1000 \
#    --logging_steps 1000 \
#    --data_dir data/datasets/yelp_data_tst/classification/small \
#    --max_seq_length 128 \
#    --per_gpu_eval_batch_size=64   \
#    --per_gpu_train_batch_size=64   \
#    --learning_rate 2e-5 \
#    --num_train_epochs 5 \
#    --output_dir ${output_path}/classifier/${TASK_NAME}_debug/ \
#    --overwrite_output_dir \
#    --evaluate_during_training
#
#    #--save_steps 200 \
#    #--do_eval \
#
#    #--model_name_or_path bert-base-cased \
#    #--percentage_per_label .5 \
#    #--sample_per_label 10000 \
#    #--use_freeze \



# ==================
## Eval
# ==================

#data_dir=/mnt/efs/fs2/hzt/causal/Optimus/data/multi_yelp_tst/classification_category/unbias_large
#data_dir=/mnt/efs/fs2/hzt/causal/Optimus/data/multi_yelp_tst/classification_sentiment/unbias_large
#
## unbiased
#checkpoint_dir="/mnt/efs/fs2/hzt/causal/Optimus/outputs/classifier/yelp_sentiment_unbias_large_gpt2_5ep/checkpoint-112000"
#checkpoint_dir="/mnt/efs/fs2/hzt/causal/Optimus/outputs/classifier/yelp_category_unbias_large_gpt2_5ep/checkpoint-78000"
#
##checkpoint_dir=/mnt/efs/fs2/hzt/causal/Optimus/data/multi_yelp_tst/full_5_15_clean_semi/classifier_senti_finetune_weighted_01_09/checkpoint-180
###output_dir=${data_dir}/classifier_senti_finetune_weighted/
#
#output_dir=${checkpoint_dir}

## category semi
checkpoint_dir=/mnt/efs/fs2/hzt/causal/Optimus/data/multi_yelp_tst/full_5_15_clean_semi/semi_for_category_classifier/classifier_categ_semi_weighted_01_09_lr2e5/checkpoint-540
output_dir=${checkpoint_dir}
#data_dir=/mnt/efs/fs2/hzt/causal/Optimus/data/multi_yelp_tst/full_5_15_clean/causal_lm_bias
data_dir=/mnt/efs/fs2/hzt/causal/Optimus/data/multi_yelp_tst/full_5_15_clean/cond_c/

#data_dir=/mnt/efs/fs2/hzt/causal/Optimus/outputs/finetune_causal_lm/bias_basic_lm_yelp_10ep_sent/checkpoint-48000/for_classifier
#data_dir=/mnt/efs/fs2/hzt/causal/Optimus/outputs/finetune_causal_lm/bias_basic_lm_yelp_10ep_sent/checkpoint-48000/for_classifier

##
#data_dir=/mnt/efs/fs2/hzt/causal/Optimus/outputs/finetune_causal_lm/bias_lm_yelp_10ep_sent_corrected/checkpoint-48000
#data_dir=/mnt/efs/fs2/hzt/causal/Optimus/outputs/finetune_causal_lm/bias_basic_lm_yelp_10ep_sent/checkpoint-48000

#data_dir=/mnt/efs/fs2/hzt/causal/Optimus/data/multi_yelp_tst/full_5_15_clean/temp_resampling/

#data_dir=/mnt/efs/fs2/hzt/causal/Optimus/outputs/finetune_lm/vae_gpt2encoder/basic-s2-beta1-gsfixed-newmask-t1_w0_wr1_lr5e5_gumbel_samelen_bz16_bak/outputs-242000/tst/tst-dtrm-beta0-semi-s134-gsfixed-newmask-t05_wc01_wzc01_wz01_w1_wr02_lr1e6_gumbel_samelen_bz8_dtrm_bak/outputs-56000

#data_dir=/mnt/efs/fs2/hzt/causal/Optimus/outputs/finetune_lm/vae_gpt2encoder/basic-s2-beta1-gsfixed-newmask-t1_w0_wr1_lr5e5_gumbel_samelen_bz16_bak/outputs-242000/debug-semi-s2-gsfixed-newmask-t05_wc05_wzc05_wz05_w05_wr1_lr1e6_gumbel_samelen_bz8_dtrm_bak/outputs-226000/train_gan_dtrm_lr1e4_it226000_ep5_debug-semi-s2-gsfixed-newmask-t05_wc05_wzc05_wz05_w05_wr1_lr1e6_gumbel_samelen_bz8_dtrm_bak_it226000/outputs-158000

# TST
#data_dir=/mnt/efs/fs2/hzt/causal/tst_base/deep-latent-sequence-model/outputs_yelp/yelp_wd0.0_wb0.0_ws0.0_an3_pool5_klw0.1_lr0.001_t0.01_lm_bt_hard_avglen/
#data_dir=/mnt/efs/fs2/hzt/causal/texar/examples/text_style_transfer/

output_dir=${checkpoint_dir}

CUDA_VISIBLE_DEVICES=$GPU_ID python3 ./code/examples/run_glue.py \
    --use_pretrained_model \
    --checkpoint_dir ${checkpoint_dir} \
    --output_dir ${output_dir} \
    --model_type gpt2 \
    --model_name_or_path gpt2 \
    --task_name $TASK_NAME \
    --do_eval \
    --do_lower_case \
    --save_steps 2000 \
    --logging_steps 20 \
    --data_dir ${data_dir} \
    --max_seq_length 32 \
    --per_gpu_eval_batch_size=64   \
    --per_gpu_train_batch_size=64   \
    --learning_rate 2e-5 \
    --num_train_epochs 5 \
    --overwrite_output_dir \
    --evaluate_during_training


