#/bin/bash

#export PYTHONPATH="${PYTHONPATH}:/workspace/code"
#export GPU_ID=0,1
export GPU_ID=4

checkpoint_path=/mnt/efs/fs2/hzt/causal/Optimus/checkpoints/
output_path=/mnt/efs/fs2/hzt/causal/Optimus/outputs/
data_path=/mnt/efs/fs2/hzt/causal/Optimus/data/

## Yelp

debug=1

attribute_dim=50
if [ "$debug" -eq 1 ]
then
    TRAIN_FILE=data/datasets/yelp_data_tst/small/train.txt
    #TEST_FILE=data/datasets/yelp_data_tst/small/test.txt
    TEST_FILE=data/datasets/yelp_data_tst/small/train.txt
    logging_steps=1
    save_steps=20000
    per_gpu_train_batch_size=2
    per_gpu_eval_batch_size=2
    num_train_epochs=100
else
    TRAIN_FILE=data/datasets/yelp_data_tst/full/train.txt
    TEST_FILE=data/datasets/yelp_data_tst/full/dev.txt.sub.0.10
    logging_steps=2000
    save_steps=2000
    per_gpu_train_batch_size=8
    per_gpu_eval_batch_size=8
    #per_gpu_train_batch_size=16
    #per_gpu_eval_batch_size=16
    num_train_epochs=10
fi


## TST, dtrm, loss_reg_z

    #--output_dir=${output_path_2}/s2-gsfixed-newmask-t05_wz1_dblnorm_w05_wr1_lr1e6_gumbel_samelen_bz8_dtrm_bak \

#output_path_2=${output_path}/finetune_lm/vae_gpt2encoder_unbias/basic-s3-beta1-gsfixed-newmask-t1_w0_wr1_lr5e5_gumbel_samelen_bz16_bak/outputs-180000/
#
#CUDA_VISIBLE_DEVICES=$GPU_ID python3 code/examples/big_ae/run_lm_vae_clas_training_bak_from_bias_gpt2encoder.py \
#    --use_deterministic_connect \
#    --beta 0.0 \
#    --use_gumbel \
#    --output_dir=${output_path_2}/test-s2-gsfixed-newmask-t05_wz01_w05_wr1_lr1e6_gumbel_samelen_bz8_dtrm_bak \
#    --learning_rate 1e-6 \
#    --temperature=0.5 \
#    --lambda_clas=0.5 \
#    --lambda_reg_z=0.1 \
#    --lambda_recon=1 \
#    --temperature_anneal_factor=1 \
#    --temperature_anneal_iters=20000 \
#    --checkpoint_dir=${output_path_2}/../ \
#    --gloabl_step_eval 180000 \
#    --attribute_dim $attribute_dim \
#    --dataset Yelp \
#    --encoder_model_type=gpt2-encoder \
#    --encoder_model_name_or_path=gpt2 \
#    --decoder_model_type=gpt2 \
#    --decoder_model_name_or_path=gpt2 \
#    --classifier_model_type=gpt2-clas \
#    --classifier_model_name_or_path=gpt2 \
#    --ratio_zero 0.5 \
#    --ratio_increase 0.25 \
#    --do_train \
#    --do_eval \
#    --fb_mode 1 \
#    --dim_target_kl 0.5\
#    --train_data_file=$TRAIN_FILE \
#    --eval_data_file=$TEST_FILE \
#    --num_train_epochs ${num_train_epochs} \
#    --save_steps ${save_steps}\
#    --logging_steps ${logging_steps} \
#    --overwrite_output_dir \
#    --block_size 100 \
#    --length_weighted_loss \
#    --use_pretrained_model \
#    --use_pretrained_vae \
#    --latent_size 768 \
#    --evaluate_during_training \
#    --per_gpu_train_batch_size ${per_gpu_train_batch_size} \
#    --per_gpu_eval_batch_size ${per_gpu_eval_batch_size}


## TST, dtrm
#
#output_path_2=${output_path}/finetune_lm/vae_gpt2encoder_unbias/basic-s3-beta1-gsfixed-newmask-t1_w0_wr1_lr5e5_gumbel_samelen_bz16_bak/outputs-180000/
#
#CUDA_VISIBLE_DEVICES=$GPU_ID python3 code/examples/big_ae/run_lm_vae_clas_training_bak_from_bias_gpt2encoder.py \
#    --use_deterministic_connect \
#    --beta 0.0 \
#    --use_gumbel \
#    --output_dir=${output_path_2}/s3-gsfixed-newmask-t05_w05_wr1_lr1e6_gumbel_samelen_bz8_dtrm_bak \
#    --learning_rate 1e-6 \
#    --temperature=0.5 \
#    --lambda_clas=0.5 \
#    --lambda_recon=1 \
#    --temperature_anneal_factor=1 \
#    --temperature_anneal_iters=20000 \
#    --checkpoint_dir=${output_path_2}/../ \
#    --gloabl_step_eval 180000 \
#    --attribute_dim $attribute_dim \
#    --dataset Yelp \
#    --encoder_model_type=gpt2-encoder \
#    --encoder_model_name_or_path=gpt2 \
#    --decoder_model_type=gpt2 \
#    --decoder_model_name_or_path=gpt2 \
#    --classifier_model_type=gpt2-clas \
#    --classifier_model_name_or_path=gpt2 \
#    --ratio_zero 0.5 \
#    --ratio_increase 0.25 \
#    --do_train \
#    --do_eval \
#    --fb_mode 1 \
#    --dim_target_kl 0.5\
#    --train_data_file=$TRAIN_FILE \
#    --eval_data_file=$TEST_FILE \
#    --num_train_epochs ${num_train_epochs} \
#    --save_steps ${save_steps}\
#    --logging_steps ${logging_steps} \
#    --overwrite_output_dir \
#    --block_size 100 \
#    --length_weighted_loss \
#    --use_pretrained_model \
#    --use_pretrained_vae \
#    --latent_size 768 \
#    --evaluate_during_training \
#    --per_gpu_train_batch_size ${per_gpu_train_batch_size} \
#    --per_gpu_eval_batch_size ${per_gpu_eval_batch_size}


### TST, with beta
#
#output_path_2=${output_path}/finetune_lm/vae_gpt2encoder_unbias/basic-s3-beta1-gsfixed-newmask-t1_w0_wr1_lr5e5_gumbel_samelen_bz16_bak/outputs-180000/
#
#CUDA_VISIBLE_DEVICES=$GPU_ID python3 code/examples/big_ae/run_lm_vae_clas_training_bak_from_bias_gpt2encoder.py \
#    --eval_elbo \
#    --beta 1.0 \
#    --use_gumbel \
#    --output_dir=${output_path_2}/s3-beta1-gsfixed-newmask-t05_w05_wr1_lr1e6_gumbel_samelen_bz8_bak \
#    --learning_rate 1e-6 \
#    --temperature=0.5 \
#    --lambda_clas=0.5 \
#    --lambda_recon=1 \
#    --temperature_anneal_factor=1 \
#    --temperature_anneal_iters=20000 \
#    --checkpoint_dir=${output_path_2}/../ \
#    --gloabl_step_eval 180000 \
#    --attribute_dim $attribute_dim \
#    --dataset Yelp \
#    --encoder_model_type=gpt2-encoder \
#    --encoder_model_name_or_path=gpt2 \
#    --decoder_model_type=gpt2 \
#    --decoder_model_name_or_path=gpt2 \
#    --classifier_model_type=gpt2-clas \
#    --classifier_model_name_or_path=gpt2 \
#    --ratio_zero 0.5 \
#    --ratio_increase 0.25 \
#    --do_train \
#    --do_eval \
#    --fb_mode 1 \
#    --dim_target_kl 0.5\
#    --train_data_file=$TRAIN_FILE \
#    --eval_data_file=$TEST_FILE \
#    --num_train_epochs ${num_train_epochs} \
#    --save_steps ${save_steps}\
#    --logging_steps ${logging_steps} \
#    --overwrite_output_dir \
#    --block_size 100 \
#    --length_weighted_loss \
#    --use_pretrained_model \
#    --use_pretrained_vae \
#    --latent_size 768 \
#    --evaluate_during_training \
#    --per_gpu_train_batch_size ${per_gpu_train_batch_size} \
#    --per_gpu_eval_batch_size ${per_gpu_eval_batch_size}




# ====  VAE from scratch ====
#
## Basic
#CUDA_VISIBLE_DEVICES=$GPU_ID python3 code/examples/big_ae/run_lm_vae_clas_training_bak_from_bias_gpt2encoder.py \
#    --eval_elbo \
#    --beta 1.0 \
#    --use_gumbel \
#    --output_dir=${output_path}/finetune_lm/vae_gpt2encoder_unbias/basic-s3-beta1-gsfixed-newmask-t1_w0_wr1_lr1e5_gumbel_samelen_bz16_bak \
#    --learning_rate 1e-5 \
#    --temperature=1 \
#    --lambda_clas=0 \
#    --lambda_recon=1 \
#    --temperature_anneal_factor=1 \
#    --temperature_anneal_iters=20000 \
#    --attribute_dim $attribute_dim \
#    --dataset Yelp \
#    --encoder_model_type=gpt2-encoder \
#    --encoder_model_name_or_path=gpt2 \
#    --decoder_model_type=gpt2 \
#    --decoder_model_name_or_path=gpt2 \
#    --classifier_model_type=gpt2-clas \
#    --classifier_model_name_or_path=gpt2 \
#    --ratio_zero 0.5 \
#    --ratio_increase 0.25 \
#    --do_train \
#    --do_eval \
#    --fb_mode 1 \
#    --dim_target_kl 0.5\
#    --train_data_file=$TRAIN_FILE \
#    --eval_data_file=$TEST_FILE \
#    --num_train_epochs ${num_train_epochs} \
#    --save_steps ${save_steps}\
#    --logging_steps ${logging_steps} \
#    --overwrite_output_dir \
#    --block_size 100 \
#    --length_weighted_loss \
#    --latent_size 768 \
#    --evaluate_during_training \
#    --per_gpu_train_batch_size ${per_gpu_train_batch_size} \
#    --per_gpu_eval_batch_size ${per_gpu_eval_batch_size}

